Angular FileUpload Component

The FileUpload component for Angular represents a widget that has header and content sections (like tabs).

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxFileUpload [theme]="'fluent'" 
    [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'">
</jqxFileUpload>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';
import { jqxFileUploadModule, jqxFileUploadComponent } from 'jqwidgets-ng/jqxfileupload';

@Component({
    selector: 'app-root',
    imports: [jqxFileUploadModule, jqxButtonModule],
    standalone: true,
    templateUrl: './app.component.html'
})


export class AppComponent {

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

FileUpload API

API Reference of the jQWidgets FileUpload component for Angular: FileUpload API

Vue UI Components Documentation

Vue FileUpload Component

The FileUpload component for Vue is a widget which can be used to select files and upload them to a server. The file upload widget supports automatic upload and multiple files upload.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The FileUpload component for Vue requires the following import:

import JqxFileUpload from "jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue";

Add the jqxFileUpload component to the components section of the the Vue class:

 components: {
JqxFileUpload
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxFileUpload/>

<template>
<JqxFileUpload :width="300" :uploadUrl="uploadUrl"
:fileInputName="fileInputName" :cancelTemplate="cancelTemplate"
:browseTemplate="browseTemplate" :uploadTemplate="uploadTemplate">
</JqxFileUpload>
</template>

Properties

The properties of the <JqxFileUpload/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
uploadUrl: 'imageUpload.php',
fileInputName: 'fileToUpload',
cancelTemplate: 'danger',
browseTemplate: 'success',
uploadTemplate: 'primary'
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxFileUpload @select="onFileSelected()"
:width="300" :uploadUrl="uploadUrl"
:fileInputName="fileInputName" :cancelTemplate="cancelTemplate"
:browseTemplate="browseTemplate" :uploadTemplate="uploadTemplate">
</JqxFileUpload>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onFileSelected: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxFileUpload ref="fileupload"></JqxFileUpload>

Here how you can use a component's method:

this.$refs.fileupload.browse();

methods: {
// Add here all used callbacks and/or events
onFileSelected: function () {
// Do something...
this.$refs.fileupload.browse();
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

<template>
<JqxFileUpload ref="fileupload" @select="onFileSelected()"
:width="300" :uploadUrl="uploadUrl"
:fileInputName="fileInputName" :cancelTemplate="cancelTemplate"
:browseTemplate="browseTemplate" :uploadTemplate="uploadTemplate">
</JqxFileUpload>
</template>
<script>
// Import the components that will be used
import JqxFileUpload from "jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue";
export default {
components: {
// Adding imported widgets here
JqxFileUpload
},
data: function () {
// Define properties which will use in the widget
return {
uploadUrl: 'imageUpload.php',
fileInputName: 'fileToUpload',
cancelTemplate: 'danger',
browseTemplate: 'success',
uploadTemplate: 'primary'
}
},
beforeCreate: function () {
// Add here any data where you want to transform before components be rendered
},
methods: {
// Add here all used callbacks and/or events
onFileSelected: function () {
// Do something...
this.$refs.fileupload.browse();
}
}
}
</script>
<style>
</style>

FileUpload Example

<template>
<JqxFileUpload :width="300" :uploadUrl="'upload.php'"
:fileInputName="'fileToUpload'" :renderFiles="renderFiles">
</JqxFileUpload>
</template>
<script>
import JqxFileUpload from "jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue";
export default {
components: {
JqxFileUpload
},
beforeCreate: function () {
this.imageTypes = ['.gif', '.jpg', '.png'];
this.videoTypes = ['.wmv', '.mov', '.avi', '.divx', '.mpeg', '.mpg', '.m4p'];
},
methods: {
renderFiles: function (fileName) {
let stopIndex = fileName.indexOf('.');
let name = fileName.slice(0, stopIndex);
let extension = fileName.slice(stopIndex);
let iconUrl;
if (this.imageTypes.indexOf(extension) !== -1) {
iconUrl = 'images/nav3.png';
} else if (this.videoTypes.indexOf(extension) !== -1) {
iconUrl = 'images/movie.png';
} else {
iconUrl = 'images/nav1.png';
}
return '<div><img src="' + iconUrl + '" style="dislplay: inline; width: 16px; height: 16px; margin-right: 5px;" /><span>' + name + '<strong>' + extension + '</strong></span></div>';
}
}
}
</script>
<style>
</style>

Run Code

Typescript React FileUpload Component

This tutorial will show you the basics of how to get started with the jQWidgets FileUpload React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload';

II. Class:

class App extends React.PureComponent<{}, IFileUploadProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxFileUpload
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

class App extends React.PureComponent<{}, IFileUploadProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxFileUpload onNameOfEvent={this.handleEvent}
width={this.state.width} height={"100%"} .....
/>
)
}
private handleEvent(e: Event): void {
// Do Something ...
}
}

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns the value of the requested option.

FileUpload API

API Reference of the jQWidgets FileUpload React Component: FileUpload API

FileUpload Demos

Demos Reference of the jQwidgets FileUpload React Component: FileUpload Demos

jQWidgets
  • Facebook
  • Twitter
  • Demo
  • Download
  • Documentation
  • License and Pricing
  • Services
  • Forums
  • About
  • Terms of Use
  • Privacy Policy
  • Contact Us

jQWidgets © 2011-2025. All Rights Reserved.